package io.zipcoder;

import org.junit.Assert;
import org.junit.Test;

import java.util.Stack;

public class ParenCheckerTest {

    @Test
    public void parensArePaired() {
        String hello = "he()o";
        //boolean expected = true;
        boolean actual = ParenChecker.parens(hello);
        Assert.assertTrue(actual);
    }

    @Test
    public void curlyArePaired() {
        String hello = "He{}0";
        boolean actual = ParenChecker.parens(hello);
        Assert.assertTrue(actual);
    }

    @Test
    public void containersArePaired() {
        String hello = "He<>o";
        boolean actual = ParenChecker.parens(hello);
        Assert.assertTrue(actual);
    }

    @Test
    public void bracketsArePaired() {
        String hello = "He[]o";
        boolean actual = ParenChecker.parens(hello);
        Assert.assertTrue(actual);
    }

    @Test
    public void quotesArePaired() {
        String hello = "He\"\"o";
        boolean actual  = ParenChecker.parens(hello);
        Assert.assertTrue(actual);
    }

    @Test
    public void quotatioonsArePaired() {
        String hello = "He\'\'0";
        boolean actual = ParenChecker.parens(hello);
        Assert.assertTrue(actual);
    }

    @Test
    public void quottationsArePaired(){
        String hello = "He\'Lo";
        boolean actual= ParenChecker.parens(hello);
        Assert.assertFalse(actual);
    }

    @Test
    public void parensArePaired2() {
        String hello = "he(o";
        //boolean expected = true;
        boolean actual = ParenChecker.parens(hello);
        Assert.assertFalse(actual);
    }

    @Test
    public void curlyArePaired2() {
        String hello = "He}0";
        boolean actual = ParenChecker.parens(hello);
        Assert.assertFalse(actual);
    }

    @Test
    public void containersArePaired2() {
        String hello = "He<o";
        boolean actual = ParenChecker.parens(hello);
        Assert.assertFalse(actual);
    }

    @Test
    public void bracketsArePaired2() {
        String hello = "He]o";
        boolean actual = ParenChecker.parens(hello);
        Assert.assertFalse(actual);
    }

    @Test
    public void quotesArePaired2() {
        String hello = "He\"o";
        boolean actual  = ParenChecker.parens(hello);
        Assert.assertFalse(actual);
    }
}